curl --request GET \
--url https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"asset_name": "<string>",
"in_discovery_zone": true,
"created": "2023-11-07T05:31:56Z",
"price": "<string>",
"match": 1,
"paused": true,
"last_trigger": "2023-11-07T05:31:56Z",
"order_side": "<string>",
"enabled": true,
"notify_sms": true,
"notify_email": true,
"order_direction": 10,
"order_quantity": "<string>",
"order_get_quantity": "<string>",
"events": [
{
"fired": "2023-11-07T05:31:56Z",
"price": "<string>",
"matched": 1,
"trade": "<string>",
"failure_reason": "<string>",
"seen": true
}
]
}Get Price Trigger
Price alerts that watch an asset and optionally place a trade when the price is hit.
Create an alert to be notified by email or SMS when an asset crosses a target price, and optionally have it place a market order automatically.
curl --request GET \
--url https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"asset_name": "<string>",
"in_discovery_zone": true,
"created": "2023-11-07T05:31:56Z",
"price": "<string>",
"match": 1,
"paused": true,
"last_trigger": "2023-11-07T05:31:56Z",
"order_side": "<string>",
"enabled": true,
"notify_sms": true,
"notify_email": true,
"order_direction": 10,
"order_quantity": "<string>",
"order_get_quantity": "<string>",
"events": [
{
"fired": "2023-11-07T05:31:56Z",
"price": "<string>",
"matched": 1,
"trade": "<string>",
"failure_reason": "<string>",
"seen": true
}
]
}Authorizations
Personal API key, created in the Digital Surge app under Account Settings → API Keys. Send it with every request as Authorization: Bearer <your-api-key>.
Path Parameters
A unique integer value identifying this Price Trigger Rule.
Response
A price trigger: fires an alert — and optionally a buy or sell — when an asset crosses a target price.
Price level to watch for
1- above2- belowNone- auto-set
1, 2 Direction of the auto-trade against AUD. BUY_ASSET = spend AUD to receive this rule's asset; SELL_ASSET = spend this rule's asset to receive AUD; null = alert only (no trade).
10- buy asset20- sell assetNone- alert only
10, 20 Quantity of the spend-side asset (in its native units) to trade when the trigger fires. Mutually exclusive with order_get_quantity.
Quantity of the receive-side asset (in its native units) to receive when the trigger fires. Mutually exclusive with order_quantity.
Show child attributes
Show child attributes